<?php // этот модуль необходимо делать тольео для крупных проектов, для небольшых описание пунктов меню и файлов меню лучше делать в init.php
$__functions['init'][]      ='_work_order_admin_vars' ;
$__functions['boot_admin'][] ='_work_order_admin_boot' ;
//$__functions['alert'][]   ='_work_order_admin_alert' ;
$__functions['install'][]	='_work_order_install_modul' ;



function _work_order_admin_vars() //
{
    $_SESSION['descr_clss'][291]['name']='Наряд на работу' ;
    $_SESSION['descr_clss'][291]['parent']=0 ;
    $_SESSION['descr_clss'][291]['fields']['personal_id']=array('type'=>'int(11)') ; // № п/п, 1.1.4.2
    $_SESSION['descr_clss'][291]['fields']['data_from']=array('type'=>'int(11)') ; // № п/п, 1.1.4.2
    $_SESSION['descr_clss'][291]['fields']['data_to']=array('type'=>'int(11)') ; // переодичность, 1 - 1 оаз в год, 2 - раз в два года
    $_SESSION['descr_clss'][291]['fields']['tech_status']=array('type'=>'int(11)') ; // решение техника
    $_SESSION['descr_clss'][291]['fields']['tech_data']=array('type'=>'int(11)') ; // дата решения техника
    $_SESSION['descr_clss'][291]['fields']['mo_id']=array('type'=>'int(11)') ; // ID МО, пройденного для данного наряда
    $_SESSION['descr_clss'][291]['fields']['car_number']=array('type'=>'varchar(10)') ; // номер машины для работы
}

function _work_order_admin_boot($options)
{
  create_system_modul_obj('work_order') ;
}


function _work_order_install_modul($DOT_root)
{

	SETUP()->reg_event_lister('mo_passed_success','WO','on_event_mo_passed_success') ;         //
	$id_sect=SETUP_add_section_to_site_setting('Контроль нарядов') ;
	SETUP_add_rec_to_site_setting($id_sect,"Путевой лист по результатам прохождения МО","<div style='line-height:1.2em;font-size:14px;'>Медицинский осмотр пройден<br>{mo/personal_name}<br>{mo/_data}<br>{mo/_doctor_name}<div style='font-size:10px'>ЭЦП:{doctor/certificate/SerialNumber}</div></div>",'LS_put_list_text',array('el'=>'textarea')) ;

	//SETUP()->reg_report('Контроль трезвости','ot/report_ot.php') ;         //

    //$id_sect=SETUP_add_section_to_site_setting('Охрана труда') ;
    //SETUP_add_rec_to_site_setting($id_sect,"Интервал между попытками прохождения КТ, мин",270,'LS_setting_auto_work_order_interval') ;
	//check_exists_dir('/public/ot_docs') ;


    // список вредных производственных факторов
    $pattern=array() ;
    $pattern['table_title']		        = 	'Наряды на работу' ;
    $pattern['use_clss']		        = 	'291' ;
    $pattern['table_name']				= 	'list_work_orders' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']			= 	$DOT_root;
    create_table_by_pattern($pattern) ;

    // список вредных производственных факторов
/*    $pattern=array() ;
    $pattern['table_title']		        = 	'Список должностей' ;
    $pattern['use_clss']		        = 	'231' ;
    $pattern['table_name']				= 	'list_workings' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']			= 	$DOT_root;
    create_table_by_pattern($pattern) ;
*/



	// создавем вьюверы
/*    $sql='create view view_list_orgs as
                select  t1.pkey,t1.obj_name,t1.enabled,t1.c_data,t1.r_data,t1.ext_info,t1.tkey
                from obj_site_personals t1
                where t1.clss=207
                ' ;
    create_viewer('view_list_orgs',$sql) ;   */

  /*  $sql='create view view_list_otdels as
                select  t1.pkey,t2.pkey as org_id,t2.obj_name as org_name,t1.obj_name,t1.enabled,t1.c_data,t1.r_data,t1.ext_info,t1.tkey
                from obj_site_personals t1
                left join obj_site_personals t2 on t2.pkey=t1.parent
                where t1.clss=208
                ' ;
    create_viewer('view_list_otdels',$sql) ; */

	


    




}




?>